package com.platform.yijia.param.request;

import lombok.Data;

@Data
public class PayOrderRequest {

    private String orderNo;
    private String oilGun;
    private String oilName;
    private String token;
    private String openId;
    private String amt;     //实收金额
    private String cardOilsType;    //电子卡类型
    private Integer stationId;
    private String status;
    private String orderLiters;
    private String payType;
    private String payWay;
    private String userType;
    private String oilPersonnel;
    private String orderType;    //订单类型（1油品，2.非油品）
    private Double oilPrice;    //油品价格
    private String receivableAmt;   //应收金额
    private String receivedAmt;    //到账金额
    private String discountCoupon;  //优惠券
    private Double discountAmt;    //优惠金额
    private Double discountCouponAmt; //优惠券金额
    private Double wxAmt; //微信支付金额
    private Double zfbAmt; //支付宝支付金额
    private Double posAmt; //pos支付金额
    private Double xjAmt; //现金支付金额
    private Double didiAppAmt; //滴滴app支付金额
    private Double tyAppAmt; //团油app支付金额
    private Double otherAmt; //其他支付金额
    private Double dzkAmt; //电子卡金额
    private Integer score; //消费积分
    private String memberNo; //会员卡号
    private Double memberAmt; //会员支付金额
    private Integer printCount; //打印小票数量
    private String carNo; //车牌号
    private String customerPhone; //客户电话
    private String customerGrade; //客户等级
    private String oilType; //油品类型

    private String unionId;                 //unionId
    private String customerName;            //客户昵称

    private Integer groupId;                //集团ID

    private String integralRuleFlagGroup;   //集团积分规则是否共享
    private String integralFlagGroup;       //集团是否开启积分功能
    private String cardRuleFlagGroup;       //集团是否共享电子卡充值规则
    private String cardEnabledFlagGroup;    //集团是否开启电子卡
    private String labelFlag;               //油站是否开启标签功能
    private String isLngFlagGroup;          //该集团是否为LNG第三方平台商：0，否；1，是；

    //一码一标签时所需参数：如果有则走标签优惠，没有则走正常优惠
    private String labelId;

    private String couponId;                //优惠券ID

    //加油员ID
    private String personnelId;             //加油员ID



}
