package com.platform.yijia.pojo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/***
 * 标签规则实体类
 */
@Data
public class LabelRule {
    private Integer id;              //'标签主表id',
    private String labelName;        //'标签名',
    private Integer stationId;       //'油站id',
    private String delFlag;          //'删除标识1 是 0 否',
    private String isAddLabel;       //是否强制将该扫码用户拉入此标签：0、否；1、是；
    private String createBy;         //'创建人',
    private Date createTime;         //'创建时间',
    private String updateBy;         //'修改人',
    private Date updateTime;         //'修改时间',
    private List<LabelRuleDetail> labelRuleDetailList;  //规则明细

    //查询参数
    private String oilName;         //油品名称
    private Integer labelId;        //标签ID
    private String delFlagDetail;          //'删除标识1 是 0 否',
}
