package com.platform.yijia.service.impl;

import com.platform.yijia.dao.CardExcelImportMapper;
import com.platform.yijia.dao.IntegralRuleMapper;
import com.platform.yijia.pojo.CardExcelImport;
import com.platform.yijia.pojo.IntegralRule;
import com.platform.yijia.service.CardExcelImportService;
import com.platform.yijia.service.IntegralRuleService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("cardExcelImportService")
public class CardExcelImportServiceImpl implements CardExcelImportService {
    @Resource
    private CardExcelImportMapper cardExcelImportMapper;

    @Override
    public List<CardExcelImport> getCardExcelImportList(CardExcelImport cardExcelImport) {
        return cardExcelImportMapper.getCardExcelImportList(cardExcelImport);
    }

    @Override
    public void deleteCardExcelImportByExcelId(CardExcelImport cardExcelImport) {
        cardExcelImportMapper.deleteCardExcelImportByExcelId(cardExcelImport);
    }
}
